Bug 536007 - (RHQ-402) Installer does not set all of the necessary properties when not bound to 0.0.0.0
Installer does not set all of the necessary properties when not bound to 0.0.0.0
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
1.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2008-05-01 11:19 EDT by Jason Dobies
Modified: 2011-03-07 09:37 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 15:21:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-05-01 11:19:00 EDT
As found in JBNADM-3106, two properties need to be set when binding to an IP address. The installer only sets jboss.bind.address property.

The following is taken from the rhq-server.properties file. The workaround is to enable the java.rmi.server.hostname property and set it to the IP. We should at least add documentation for this in JON 2.0.

# Container configuration
jboss.bind.address=192.168.0.201

# If the bind address is set to anything besides 0.0.0.0, uncomment this
# property and set to the same value; using ${jboss.bind.address} will not work.
#   java.rmi.server.hostname=0.0.0.0
Comment 1 Joseph Marques 2008-07-02 06:26:31 EDT
as there is already a workaround, we'll push to 2.0
Comment 2 Red Hat Bugzilla 2009-11-10 16:08:34 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-402
Comment 3 Corey Welton 2010-10-06 23:25:14 EDT
deon, is this in the docs?
Comment 4 Deon Ballard 2010-10-07 09:37:54 EDT
Corey, I couldn't find it. I'll add it to...

* release notes as a known issue
* install guide as a note
* FAQ

Sound about right?
Comment 6 John Mazzitelli 2011-02-17 15:21:18 EST
use workaround.

Note You need to log in before you can comment on or make changes to this bug.